OPENPNE3 について質問です。


レオサーバーにOPENPNE3.4.13をインストールし利用していました。

先ほど、opFavoritePlugin のバージョン 1.0.0.2を指示通りインストールしたところ
「現在、サーバが混み合っているか、メンテナンス中です。
ご迷惑をおかけいたしますが、しばらく時間を空けて再度アクセスしてください」
と表示されログインできなくなりました。

管理画面にはログインできます。

行った作業は

$ php symfony opPlugin:install -r 1.0.0.2 opFavoritePlugin
$ php symfony openpne:migrate --target=opFavoritePlugin

です。
プログラムの知識は殆どなく、見よう見まねでやっているのでどうしようもならなくなってしまいました。

皆様のお知恵を拝借できればと思います。
よろしくお願いします。

回答の条件
  • 1人5回まで
  • 13歳以上
  • 登録:2011/07/03 03:17:44
  • 終了:2011/07/10 03:20:04

回答(1件)

id:rouge_2008 No.1

rouge_2008回答回数594ベストアンサー獲得回数3512011/07/06 07:50:55

OpenPNE 3.4.13を新規インストール後、opFavoritePlugin 1.0.0.2をインストールして確認してみましたが、コメントした方法で問題なく表示されました。

具体的な手順は次の通りです。

※opBlogPluginを使用しない場合は、管理画面のプラグイン設定でopBlogPluginを無効にするだけでも大丈夫です。


1.opBlogPluginをアンインストールする

$ php symfony opPlugin:uninstall opBlogPlugin

2.opBlogPlugin 1.0.2をインストール(※「cache/.pear/opBlogPlugin-0.9.0」は削除して実行します。)

$ php symfony opPlugin:install -r 1.0.2 opBlogPlugin

3.データベース追加

$ php symfony openpne:migrate --target=opBlogPlugin

4.キャッシュのクリア

$ php symfony cc

5.RSSの情報をキャッシュする

$ php symfony openpne:update-blog-rss-cache

※100人以上の外部ブログを登録している場合は、複数回実行する必要があるそうです。

このコマンドを実行することで、DB上にRSSの情報がキャッシュされ表示されるようになります。

このコマンドは初期設定では一度の実行で100件のメンバーを更新するようになっていますので、

100件以上のメンバーが外部ブログを登録している場合は複数回実行する必要があります。

一度にすべてのメンバーを実行したい場合は、

「plugins/opBlogPlugin/config/app.yml」に記述されている

「update_blog_rss_cache_limit」の行の先頭に「#」をつけてコメントアウトしてください。

最後に、定期的にこのコマンドを実行するように cron に登録して完了です。


※念の為実行前に、データベースとOpenPNEのディレクトリのバックアップを忘れないでください。


【追記】

opBlogPluginの最新バージョンは1.0.2のようですので、1.0.2をインストールしてください。(※上記実行コードも1.0.1から1.0.2に変更済み)

http://www.openpne.jp/archives/5207/

  • id:rouge_2008
    未確認ですが、1.0.xのopFavoritePluginは、opBlogPluginのバージョンが0.9.x以下だとエラーになるそうです。
    http://www.openpne.jp/archives/5055/
    ※コメント参照

    opBlogPluginのバージョンアップを行ってみてはいかがでしょうか?
    なおopBlogPluginのバージョンアップでも注意点があるようです。
    http://www.openpne.jp/archives/4642/
    ※併せてコメントも確認してください。(以下一部転載)
    ************************************************
    1.0.0 以前のバージョンをお使いの場合は
    http://www.openpne.jp/archives/4330/
    の記事の 1.0.0 を 1.0.1 に置き換えてアップデートをお願いします。
    上記記事でアップデートを行う前に、
    一度 opBlogPlugin のアンインストールをお願いします。

    アンインストールのコマンドは以下になります。

    php symfony opPlugin:uninstall opBlogPlugin

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません